<?php
	session_start();
	include("config.php");

	//mengambil data tahun anggaran aktif untuk user yang sedang aktif
	$username=$_SESSION["ses_admin_id"];
	$qryy=mysqli_query($mysqli,"SELECT * FROM settings WHERE username='$username'");

	if(mysqli_num_rows($qryy)>0){
		$datay=mysqli_fetch_array($qryy);
		$tahun_anggaran=$datay["tahun_anggaran"];
	}else{
		msgbox("Tahun Anggaran belum diatur di halaman pengaturan!");
		lempar("admin.php?page=settings&page_desc=Pengaturan Tahun Anggaran Aktif");
		die();
	}

	$qry=mysqli_query($mysqli,"SELECT * FROM m_anggaran WHERE tahun_anggaran='$tahun_anggaran'");

	if(mysqli_num_rows($qry)>0){
		while($data=mysqli_fetch_array($qry)){
			$kode_rekening=$data["kode_rekening"];
			$uraian=$data["uraian"];
			$jenis_kode_rekening=$data["jenis_kode_rekening"];
			$induk_kode_rekening=$data["induk_kode_rekening"];
			$tahun_anggaran=$data["tahun_anggaran"];
			$id_desa=$_SESSION["ses_id_desa"];
			$level_kode_rekening=$data["level_kode_rekening"];

			$qrya=mysqli_query($mysqli,"INSERT INTO t_anggaran VALUES (null, '$kode_rekening', '$uraian', '$jenis_kode_rekening', '$induk_kode_rekening', '$tahun_anggaran', '0', '', '', '$id_desa', '$level_kode_rekening')");
		}

		msgbox("Data Format Anggaran untuk Tahun Anggaran $tahun_anggaran berhasil dibuat!");
		lempar("admin.php?page=ls_anggaran_desa&page_desc=Daftar Mata Anggaran");
		die();

	}else{
		msgbox("Data Format Anggaran untuk Tahun Anggaran $tahun_anggaran belum tersedia!");
		lempar("admin.php?page=ls_anggaran_desa&page_desc=Daftar Mata Anggaran");
		die();
	}

?>